import request from "@/utils/request";
import {AxiosPromise} from "axios";
import {TrainingManage, TrainingParams, TrainingResult} from "@/api/training/types";

/**
 * 训练记录
 * /board/v1/games?school_id=95&is_formal=1&search=略&grade_id=35&page=1&page_size=10
 */
export function getTrainingLists(params: TrainingParams): AxiosPromise<TrainingManage> {
  return request({
    url: "/board/v1/games",
    method: "get",
    params: params,
  });
}

/**
 * 训练报告
 * /board/v1/detail?game_record_id=82967
 */
export function getTrainingResult(id: number): AxiosPromise<TrainingResult> {
  return request({
    url: "/board/v1/detail",
    method: "get",
    params: {game_record_id: id},
  });
}
